# cabal2spec-0.25.2
# https://fedoraproject.org/wiki/Packaging:Haskell
# https://fedoraproject.org/wiki/PackagingDrafts/Haskell

%global pkg_name pcre-light

%global common_summary Perl5 compatible regular expressions library

%global common_description A small, efficient and portable regex library for Perl 5\
compatible regular expressions\
\
The PCRE library is a set of functions that implement regular\
expression pattern matching using the same syntax and\
semantics as Perl 5.

Name:           ghc-%{pkg_name}
Version:        0.4
Release:        7%{?dist}
Summary:        %{common_summary}

Group:          System Environment/Libraries
License:        BSD
# BEGIN cabal2spec
URL:            http://hackage.haskell.org/package/%{pkg_name}
Source0:        http://hackage.haskell.org/packages/archive/%{pkg_name}/%{version}/%{pkg_name}-%{version}.tar.gz
ExclusiveArch:  %{ghc_arches}
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros %{!?without_hscolour:hscolour}
# END cabal2spec
BuildRequires:  pcre-devel%{?_isa}
BuildRequires:  ghc-bytestring-prof

%description
%{common_description}


%prep
%setup -q -n %{pkg_name}-%{version}


%build
%ghc_lib_build


%install
%ghc_lib_install


%ghc_devel_package
Requires:  pcre-devel%{?_isa}

%ghc_devel_description


%ghc_devel_post_postun


%ghc_files LICENSE


%changelog
* Thu Mar 22 2012 Jens Petersen <petersen@redhat.com> - 0.4-7
- add license to ghc_files

* Fri Feb 10 2012 Petr Pisar <ppisar@redhat.com> - 0.4-6
- Rebuild against PCRE 8.30

* Fri Jan  6 2012 Jens Petersen <petersen@redhat.com> - 0.4-5
- update to cabal2spec-0.25.2

* Mon Oct 24 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4-4.3
- rebuild with new gmp without compat lib

* Fri Oct 21 2011 Marcela Mašláňová <mmaslano@redhat.com> - 0.4-4.2
- rebuild with new gmp without compat lib

* Tue Oct 11 2011 Peter Schiffer <pschiffe@redhat.com> - 0.4-4.1
- rebuild with new gmp

* Tue Jul 12 2011 Jens Petersen <petersen@redhat.com> - 0.4-4
- use ghc_arches (cabal2spec-0.23.2)

* Wed Jun 15 2011 Jens Petersen <petersen@redhat.com> - 0.4-3
- update to cabal2spec-0.23

* Wed Jun  1 2011 Jens Petersen <petersen@redhat.com> - 0.4-2
- experiment without ghc_lib_package (#662258)

* Fri Dec 10 2010 Ben Boeckel <mathstuf@gmail.com> - 0.4-1
- Initial package

* Wed Dec  8 2010 Fedora Haskell SIG <haskell-devel@lists.fedoraproject.org> - 0.4-0
- initial packaging for Fedora automatically generated by cabal2spec-0.22.2
